Set default branch
curl --request POST \
--url https://api.diversion.dev/v0/repos/{repo_id}/default_branch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch_id": "<string>"
}
'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/default_branch"
payload = { "branch_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch_id: '<string>'})
};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/default_branch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Repository Manipulation
Set default branch
Change default branch for a repository
POST
/
repos
/
{repo_id}
/
default_branch
Set default branch
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Body
application/json
The branch ID to set as the default branch
Response
Request completed successfully
⌘I

